@echo off
rem DescribeTW v2.02 by Archibald H. Vilanos III
rem
rem Creates description files for each game in TWGS and places them in the TWGS\DescFile folder.
rem Also creates an ANSI folder in each game folder.
rem Place this file in your TWGS folder and run it from there.
rem
rem -[CONFIG]------------------------------------------------------
rem Edit the next line to reflect your server name.
set TWSERVER=Vids World Tradewars 2002 Server
rem
rem If you name your game folders TW-A TW-B TW-C etc.. instead of TW1 TW2 TW3 etc.. 
rem then set this next line to TRUE.
set ALPHAFOLDERS=TRUE
rem
rem If your game folders are named GAMEA or GAME1 instead of TWA or TW1 etc...
rem then set the next line to GAME instead of TW
set TWFOLDER=GAME
rem
rem Set the destination folder for the describe files relative to the TWGS folder.
rem No beginning backslash. Must have trailing backslash.
rem Example: set DESCFOLDER=DESCFile\
rem
set DESCFOLDER=DESCFile\
rem
rem -[END CONFIG]--------------------------------------------------

cls
echo -==[DescribeTW]==- v2.02 by Archibald H. Vilanos III
echo.
if not exist Game\TW2002.exe goto WRONGFOLDER
if not exist DescFile\. md DescFile
set GAMEPTR=0
set FOUND1=
set INFILE=
set OUTFILE=
:STARTMAINLOOP
set /a GAMEPTR=%GAMEPTR% + 1
if /i %GAMEPTR% GTR 26 goto DONE
set ID=%GAMEPTR%
if %ALPHAFOLDERS%==true set ALPHAFOLDERS=TRUE
if %ALPHAFOLDERS%==TRUE (
if %GAMEPTR%==1 set ID=A
if %GAMEPTR%==2 set ID=B
if %GAMEPTR%==3 set ID=C
if %GAMEPTR%==4 set ID=D
if %GAMEPTR%==5 set ID=E
if %GAMEPTR%==6 set ID=F
if %GAMEPTR%==7 set ID=G
if %GAMEPTR%==8 set ID=H
if %GAMEPTR%==9 set ID=I
if %GAMEPTR%==10 set ID=J
if %GAMEPTR%==11 set ID=K
if %GAMEPTR%==12 set ID=L
if %GAMEPTR%==13 set ID=M
if %GAMEPTR%==14 set ID=N
if %GAMEPTR%==15 set ID=O
if %GAMEPTR%==16 set ID=P
if %GAMEPTR%==17 set ID=Q
if %GAMEPTR%==18 set ID=R
if %GAMEPTR%==19 set ID=S
if %GAMEPTR%==20 set ID=T
if %GAMEPTR%==21 set ID=U
if %GAMEPTR%==22 set ID=V
if %GAMEPTR%==23 set ID=W
if %GAMEPTR%==24 set ID=X
if %GAMEPTR%==25 set ID=Y
if %GAMEPTR%==26 set ID=Z
)
if not exist Game\%TWFOLDER%%ID%\. goto STARTMAINLOOP
set FOUND1=TRUE
echo Describing %TWFOLDER%%ID%..
if not exist Game\%TWFOLDER%%ID%\ANSI\. md Game\%TWFOLDER%%ID%\ANSI
echo Game %ID% Last described:>Game\%TWFOLDER%%ID%\ANSI\I_Exist.flg
DATE /T>>Game\%TWFOLDER%%ID%\ANSI\I_Exist.flg
rem if not exist Game\%TWFOLDER%%ID%\OUTPUT\. md Game\%TWFOLDER%%ID%\OUTPUT
set INFILE=Game\%TWFOLDER%%ID%\Gamestat.lst
rem if exist %INFILE% del %INFILE% /q >nul
rem Game\tw2002.exe COMMAND=STATS DATA=%TWFOLDER%%ID%
set OPT1=
set OPT2=
set OPT3=
set OPT4=
set OPT5=
set OPT6=
set OPT7=
set OPT8=
set OPT9=
set OPT10=
set OPT11=
set OPT12=
set OPT13=
set OPT14=
set OPT15=
set OPT16=
set OPT17=
set OPT18=
set OPT19=
set OPT20=
set OPT21=
set OPT22=
set OPT23=
set OPT24=
set OPT25=
set OPT26=
set OPT27=
set OPT28=
set OPT29=
set OPT30=
set OPT31=
for /f "tokens=1,2* DELIMS===" %%a in (%INFILE%) do (
if "%%a"=="Gold Enabled" set OPT1=%%b
if "%%a"=="MBBS Compatibility" set OPT2=%%b
if "%%a"=="Start Day" set OPT3=%%b
if "%%a"=="Turn Base" set OPT4=%%b
if "%%a"=="Time Online" set OPT5=%%b
if "%%a"=="Initial Fighters" set OPT6=%%b
if "%%a"=="Initial Credits" set OPT7=%%b
if "%%a"=="Initial Holds" set OPT8=%%b
if "%%a"=="New Player Planets" set OPT9=%%b
if "%%a"=="Colonist Regen Rate" set OPT10=%%b
if "%%a"=="Max Planet Sector" set OPT11=%%b
if "%%a"=="Max Corp Members" set OPT12=%%b
if "%%a"=="FedSpace Ship Limit" set OPT13=%%b
if "%%a"=="Photon Missile Duration" set OPT14=%%b
if "%%a"=="Cloak Fail Percent" set OPT15=%%b
if "%%a"=="Debris Loss Percent" set OPT16=%%b
if "%%a"=="Trade Percent" set OPT17=%%b
if "%%a"=="Steal Buy" set OPT18=%%b
if "%%a"=="Production Rate" set OPT19=%%b
if "%%a"=="Max Production Regen" set OPT20=%%b
if "%%a"=="Multiple Photons" set OPT21=%%b
if "%%a"=="Clear Bust Days" set OPT22=%%b
if "%%a"=="Steal Factor" set OPT23=%%b
if "%%a"=="Rob Factor" set OPT24=%%b
if "%%a"=="Rob Delay" set OPT25=%%b
if "%%a"=="Port Production Max" set OPT26=%%b
if "%%a"=="Radiation Lifetime" set OPT27=%%b
if "%%a"=="Fighter Lock Decay" set OPT28=%%b
if "%%a"=="Sectors" set OPT29=%%b
if "%%a"=="Ports" set OPT30=%%b
if "%%a"=="Closed Game" set OPT31=%%b
)
set OUTFILE=%DESCFOLDER%gameinfo-%ID%.txt
if exist %OUTFILE% del %OUTFILE% /q >nul
echo --------------------------------------------------------------------- >>%OUTFILE%
echo -=[%TWSERVER%]=- GAME %ID% >>%OUTFILE%
echo --------------------------------------------------------------------- >>%OUTFILE%
echo Started............: %OPT3% >>%OUTFILE%
echo Sectors............: %OPT29% >>%OUTFILE%
echo Turns..............: %OPT4% >>%OUTFILE%
echo Time Limit.........: %OPT5% >>%OUTFILE%
echo Closed Game........: %OPT31% >>%OUTFILE%
echo Gold Enabled.......: %OPT1% >>%OUTFILE%
echo MBBS Enabled.......: %OPT2% >>%OUTFILE%
echo Initial Fighters...: %OPT6% >>%OUTFILE%
echo Initial Credits....: %OPT7% >>%OUTFILE%
echo Initial Holds......: %OPT8% >>%OUTFILE%
echo Player Planet......: %OPT9% >>%OUTFILE%
echo Sector Planets.....: %OPT11% >>%OUTFILE%
echo Corp Members.......: %OPT12% >>%OUTFILE%
echo FedSpace Ships.....: %OPT13% >>%OUTFILE%
echo Cloak Fail.........: %OPT15% >>%OUTFILE%
echo Photon Duration....: %OPT14% >>%OUTFILE%
echo Multiple Photons...: %OPT21% >>%OUTFILE%
echo Debris Loss........: %OPT16% >>%OUTFILE%
echo Fighter Decay......: %OPT28% >>%OUTFILE%
echo Planet Trade.......: %OPT17% >>%OUTFILE%
echo Colonist Regen.....: %OPT10% >>%OUTFILE%
echo Production Rate....: %OPT19% >>%OUTFILE%
echo Production Regen...: %OPT20% >>%OUTFILE%
echo Steal Buy..........: %OPT18% >>%OUTFILE%
echo Steal Factor.......: %OPT23% >>%OUTFILE%
echo Rob Factor.........: %OPT24% >>%OUTFILE%
echo Rob Delay..........: %OPT25% >>%OUTFILE%
echo Ports..............: %OPT30% >>%OUTFILE%
echo Port Production....: %OPT26% >>%OUTFILE%
echo Clear Busts........: %OPT22% >>%OUTFILE%
echo Radiation Lifetime.: %OPT27% >>%OUTFILE%
echo --------------------------------------------------------------------- >>%OUTFILE%
echo Enter [A-Z] for Game Information or [!] for the Game Menu >>%OUTFILE%
echo --------------------------------------------------------------------- >>%OUTFILE%
goto STARTMAINLOOP
:DONE
if "%FOUND1%"=="" (
echo.
echo No games found !
)
echo.
echo -=[DONE]=-
echo.
pause
goto FINISH
:WRONGFOLDER
echo You must run this batch file from your TWGS Folder.
echo.
echo Exiting...
echo.
pause
goto FINISH
:FINISH
set TWSERVER=
set GAMEPTR=
set FOUND1=
set INFILE=
set OUTFILE=
set ALPHAFOLDERS=
set TWFOLDER=
set ID=
set OPT1=
set OPT2=
set OPT3=
set OPT4=
set OPT5=
set OPT6=
set OPT7=
set OPT8=
set OPT9=
set OPT10=
set OPT11=
set OPT12=
set OPT13=
set OPT14=
set OPT15=
set OPT16=
set OPT17=
set OPT18=
set OPT19=
set OPT20=
set OPT21=
set OPT22=
set OPT23=
set OPT24=
set OPT25=
set OPT26=
set OPT27=
set OPT28=
set OPT29=
set OPT30=
set OPT31=
